Bug 858822 - Mock's default configuration is not updated, becomes outdated over time
Summary: Mock's default configuration is not updated, becomes outdated over time
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mock
Version: 19
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Clark Williams
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-09-19 18:08 UTC by Alec Leamas
Modified: 2014-04-19 09:20 UTC (History)
4 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2013-11-10 06:36:45 UTC


Attachments (Terms of Use)

Description Alec Leamas 2012-09-19 18:08:00 UTC
Description of problem:
When updating mock, the default.cfg symlink is not updated. As a result, a user having installed mock once and not touches default.cfg will after after some releases have default.cfg pointing to an old version

Version-Release number of selected component (if applicable):


How reproducible:
always

Steps to Reproduce:
1.Install mock
2.Wait to next release
3.Update mock
  
Actual results:
default.cfg point to old version, installed in 1)

Expected results:
default.cfg should be updated to new version, at least if it hasn't been touched by user. 

Additional info:
Discussed in https://fedorahosted.org/FedoraReview/ticket/147

Comment 1 Alec Leamas 2012-09-20 07:36:03 UTC
At a second thought this problem applies to all files in /etc/mock: these files are default setup for different build roots, and should be updated when mock is updated. But if user hacks them, they should not be updated i. e., this is a mess.

The proper fix might be to store all mock configuration files under e. g. /usr/share/mock/config. These files are updated unconditionally. User can still copy and hack files in /etc/mock - these files are used if they exist, and not touched by any update.

After all, this is how these things use to be :)

Comment 2 Fedora End Of Life 2013-07-04 04:18:54 UTC
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Alec Leamas 2013-07-04 09:08:39 UTC
Updating to f19, this issue has not changed since reported

Comment 4 Michel Alexandre Salim 2013-07-04 11:59:06 UTC
Ping. Same here - on my system, updated from F18 -> F19, default.cfg still points to fedora-18-x86_64

Comment 5 Clark Williams 2013-09-06 16:41:27 UTC
So how should I fix this? The easiest thing to do here would be to just nuke the symlink each time mock is updated, but what about users that have their own custom default? Seems not nice to blow away their link and reset it to ours. 

I suppose I could read the link in the %post and see if it points to a distro that's one version back from the current distro but I can see a lot of ways that could go wrong. 

Unless someone strongly objects (and helpfully provides a solution) I'm going to just update the symlink in the rpm %post section to point to the host platform.

Comment 6 Alec Leamas 2013-09-07 08:11:44 UTC
Updating the symlink is probably better than the current situation. Users that have set the symlink once is capable of changing it again IMHO.

Even so, the situation with messed up site and application default (see comment #1) is a bug IMHO, although not a packaging one. In a perfect world this would be an upstream bug, but is there an upstream mock bugtracker?

Comment 7 Clark Williams 2013-09-27 20:55:33 UTC
(In reply to Alec Leamas from comment #6)
> Even so, the situation with messed up site and application default (see
> comment #1) is a bug IMHO, although not a packaging one. In a perfect world
> this would be an upstream bug, but is there an upstream mock bugtracker?

Nope, this is it. I am the upstream for mock :)

Comment 8 Fedora Update System 2013-10-30 14:57:38 UTC
mock-1.1.34-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/mock-1.1.34-1.fc18

Comment 9 Fedora Update System 2013-10-30 14:59:34 UTC
mock-1.1.34-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/mock-1.1.34-1.el6

Comment 10 Fedora Update System 2013-10-30 15:01:50 UTC
mock-1.1.34-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/mock-1.1.34-1.fc20

Comment 11 Fedora Update System 2013-10-30 15:04:10 UTC
mock-1.1.34-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/mock-1.1.34-1.fc19

Comment 12 Fedora Update System 2013-10-30 17:12:09 UTC
Package mock-1.1.34-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing mock-1.1.34-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-20329/mock-1.1.34-1.fc20
then log in and leave karma (feedback).

Comment 13 Fedora Update System 2013-11-05 05:32:08 UTC
mock-1.1.35-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/mock-1.1.35-1.fc19

Comment 14 Fedora Update System 2013-11-05 05:34:00 UTC
mock-1.1.35-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/mock-1.1.35-1.fc18

Comment 15 Fedora Update System 2013-11-05 05:35:19 UTC
mock-1.1.35-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/mock-1.1.35-1.el6

Comment 16 Fedora Update System 2013-11-05 05:36:36 UTC
mock-1.1.35-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/mock-1.1.35-1.fc20

Comment 17 Fedora Update System 2013-11-10 06:36:45 UTC
mock-1.1.35-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2014-02-06 02:09:26 UTC
mock-1.1.36-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/mock-1.1.36-1.fc19

Comment 19 Fedora Update System 2014-02-06 02:11:09 UTC
mock-1.1.36-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/mock-1.1.36-1.fc20

Comment 20 Fedora Update System 2014-02-06 02:12:37 UTC
mock-1.1.36-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/mock-1.1.36-1.el6

Comment 21 Fedora Update System 2014-02-08 05:03:13 UTC
mock-1.1.36-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 22 Fedora Update System 2014-03-25 20:25:24 UTC
mock-1.1.37-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/mock-1.1.37-1.fc19

Comment 23 Fedora Update System 2014-03-25 20:27:47 UTC
mock-1.1.37-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/mock-1.1.37-1.fc20

Comment 24 Fedora Update System 2014-03-25 20:29:45 UTC
mock-1.1.37-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/mock-1.1.37-1.el6

Comment 25 Fedora Update System 2014-03-27 17:48:22 UTC
mock-1.1.37-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/mock-1.1.37-2.fc20

Comment 26 Fedora Update System 2014-03-27 17:50:16 UTC
mock-1.1.37-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/mock-1.1.37-2.fc19

Comment 27 Fedora Update System 2014-03-27 17:52:07 UTC
mock-1.1.37-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/mock-1.1.37-2.el6

Comment 28 Fedora Update System 2014-03-31 19:05:04 UTC
mock-1.1.38-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/mock-1.1.38-1.fc19

Comment 29 Fedora Update System 2014-03-31 19:07:20 UTC
mock-1.1.38-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/mock-1.1.38-1.el6

Comment 30 Fedora Update System 2014-03-31 19:09:16 UTC
mock-1.1.38-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/mock-1.1.38-1.fc20

Comment 31 Fedora Update System 2014-04-09 13:19:22 UTC
mock-1.1.38-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 32 Fedora Update System 2014-04-18 15:38:14 UTC
mock-1.1.38-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 33 Fedora Update System 2014-04-19 09:20:32 UTC
mock-1.1.38-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.